| Home | Libraries | People | FAQ | More

## Class packed_skeleton_oarchive

boost::mpi::packed_skeleton_oarchive — An archiver that records the binary skeleton of a data structure into a buffer.

## Synopsis

    // In header: <boost/mpi/skeleton_and_content.hpp>

    class packed_skeleton_oarchive {
    public:
      // construct/copy/destruct
      packed_skeleton_oarchive(MPI_Comm const &,
                               unsigned int = boost::archive::no_header);
      explicit packed_skeleton_oarchive(packed_oarchive &);

      // public member functions
      const packed_oarchive & get_skeleton() const;
    };

## Description

The `packed_skeleton_oarchive` class is an Archiver (as in the Boost.Serialization library) that can record the shape of a data structure (called the "skeleton") into a binary representation stored in a buffer. The `packed_skeleton_oarchive` is typically used by the send of a skeleton, to pack the skeleton of a data structure for transmission separately from the content.

Users will not generally need to use `packed_skeleton_oarchive` directly. Instead, use `skeleton` or `get_skeleton`.

### `packed_skeleton_oarchive` public construct/copy/destruct

1.     packed_skeleton_oarchive(MPI_Comm const & comm,
                                unsigned int flags = boost::archive::no_header);

   Construct a ``packed_skeleton_oarchive`` for the given communicator.

   Parameters:

   `comm` | The communicator over which this archive will be transmitted.
   `flags` | Control the serialization of the skeleton. Refer to the Boost.Serialization documentation before changing the default flags.

2.     explicit packed_skeleton_oarchive(packed_oarchive & archive);

   Construct a ``packed_skeleton_oarchive`` that packs a skeleton into the given `archive`.

   Parameters:

   `archive` | the archive to which the skeleton will be packed.

### `packed_skeleton_oarchive` public member functions

1.     const packed_oarchive & get_skeleton() const;

   Retrieve the archive corresponding to this skeleton.